Een website vanaf 497,- (ex BTW) & klaar in twee weken.
Een webshop vanaf 897,- (ex BTW) & klaar in vier weken.

shopify partner social pepper

Dit is een blog van Social Pepper

WordPress 6.1 en WPML

WordPress 6.1 is uit! Hartstikke tof natuurlijk alleen gingen er na deze update enkele websites plat die wij in onderhoud hebben. En das voor de opdrachtgever niet fijn. Reden? De websites hebben de taalfunctionaliteit van WPML in zich (je kent het wel, websites die zo’n vlaggetje hebben waardoor je op de Engelse vlag kunt klikken en dan de website in het Engels ziet verschijnen).

WordPress 6.1 update geeft foutmelding

Op het moment dat je update naar WordPress 6.1 geeft je website aan de voorkant een kritische foutmelding. Aan de achterkant gaat alles nog goed, maar je front-end is pleite. Wat nu?

WPML update noodzakelijk

Na op onderzoek uit te zijn gegaan kwamen we achter een quick fix: Deactiveer de WPML String Translation plugin/functionaliteit in je WordPress website. Hierdoor werkt je website weer aan de voorkant. Toen konden we verder gaan kijken. Op het forum van WPML wordt aangegeven dat het erg belangrijk is om WPML te updaten. Alleen zagen wij niet direct dat er updates waren voor WPML alhoewel er wel actieve licenties zijn.

Check voor updates van WPML plugin(s)

Als je naar Plugins gaat aan de linkerkant van het menu in je back-end van WordPress klik je op Nieuwe plugin toevoegen. Je ziet dan op de desbetreffende pagina bovenin tabbladen. Deze begint links met “Uitgelicht” en eindigt rechts met “Commercieel”. Klik hier op het tabblad met de tekst “Commercieel”.

Na deze klik, klik je op de grijze knop “Updates checken”. En dan zie je dat er inderdaad updates zijn voor de WPML plugins.

WordPress 6.1 en WPML

Als je dus een WordPress website hebt die is ge-update naar 6.1 en je gebruikt ook WPML dan gaat de website plat aan de voorkant. De oplossing is om bovenstaande stappen uit te voeren en de WPML plugins -up-to-date te brengen.

Note: Op moment van schrijven van dit blog lukt het ons niet de WPML String Translation plugin te updaten vanwege een overload op de WPML server (iedereen is natuurlijk druk, druk, druk met updaten zodat hun website weer functioneert).

(Technische) hulp nodig?

Heb je hulp nodig om bovenstaand probleem op te lossen? Geen probleem! Social Pepper kan je helpen, als het gaat om WPML of WordPress. Hulp nodig? Neem dan contact met ons op. Of bel 0031611210036!

Geef een antwoord

Het e-mailadres wordt niet gepubliceerd. Vereiste velden zijn gemarkeerd met *